2017-07-24 06:28 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001709openmediavaultBugpublic2017-04-03 08:13
Reporterdanielfinateanu 
Assigned Tovotdev 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionno change required 
Product VersionErasmus (3.x) 
Target VersionErasmus (3.x)Fixed in VersionErasmus (3.x) 
Summary0001709: The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'.
DescriptionFresh installed Omv 3.0.68 reports errors after installing omv clamav plugin 3.3



Error
The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'.
OK
Show details
Error
The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'.
OK
Show details
Error
The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'.
OK
Show details
Error
The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'.
OK
Show details
Error
The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'.
Error #0: exception 'OMV\AssertException' with message 'The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'.' in /usr/share/php/openmediavault/config/configobject.inc:71 Stack trace: #0 /usr/share/php/openmediavault/config/configobject.inc(186): OMV\Config\ConfigObject->assertExists('quarantine_shar...') #1 /usr/share/php/openmediavault/config/configobject.inc(271): OMV\Config\ConfigObject->set('quarantine_shar...', '', false) 0000002 /usr/share/php/openmediavault/config/configobject.inc(233): OMV\Config\ConfigObject->setFlatAssoc(Array, false, false) 0000003 /usr/share/php/openmediavault/config/database.inc(90): OMV\Config\ConfigObject->setAssoc(Array, false) 0000004 /usr/share/openmediavault/engined/module/clamav.inc(71): OMV\Config\Database->get('conf.service.cl...') 0000005 /usr/share/openmediavault/engined/rpc/services.inc(56): OMVModuleClamAV->getStatus() 0000006 [internal function]: OMVRpcServiceServices->getStatus(Array, Array) 0000007 /usr/share/php/openmediavault/rpc/serviceabstract.inc(124): call_user_func_array(Array, Array) #8 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('getStatus', Array, Array) 0000009 /usr/sbin/omv-engined(536): OMV\Rpc\Rpc::call('Services', 'getStatus', Array, Array, 1) #10 {main}
Steps To ReproduceFresh installed Omv 3.0.68 reports errors after installing omv clamav plugin 3.3
Additional InformationError
The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'.
OK
Show details
Error
The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'.
OK
Show details
Error
The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'.
OK
Show details
Error
The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'.
OK
Show details
Error
The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'.
Error #0: exception 'OMV\AssertException' with message 'The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'.' in /usr/share/php/openmediavault/config/configobject.inc:71 Stack trace: #0 /usr/share/php/openmediavault/config/configobject.inc(186): OMV\Config\ConfigObject->assertExists('quarantine_shar...') #1 /usr/share/php/openmediavault/config/configobject.inc(271): OMV\Config\ConfigObject->set('quarantine_shar...', '', false) 0000002 /usr/share/php/openmediavault/config/configobject.inc(233): OMV\Config\ConfigObject->setFlatAssoc(Array, false, false) 0000003 /usr/share/php/openmediavault/config/database.inc(90): OMV\Config\ConfigObject->setAssoc(Array, false) 0000004 /usr/share/openmediavault/engined/module/clamav.inc(71): OMV\Config\Database->get('conf.service.cl...') 0000005 /usr/share/openmediavault/engined/rpc/services.inc(56): OMVModuleClamAV->getStatus() 0000006 [internal function]: OMVRpcServiceServices->getStatus(Array, Array) 0000007 /usr/share/php/openmediavault/rpc/serviceabstract.inc(124): call_user_func_array(Array, Array) #8 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('getStatus', Array, Array) 0000009 /usr/sbin/omv-engined(536): OMV\Rpc\Rpc::call('Services', 'getStatus', Array, Array, 1) #10 {main}
TagsNo tags attached.
Product build
Attached Files

-Relationships
has duplicate 0001722closedvotdev The property 'quarantine_sharedfolderref' does not exist in the model 'conf.service.clamav'. 
+Relationships

-Notes

~0004684

votdev (administrator)

Please execute the following command to migrate the database.

$ omv-confdbadm migrate "conf.service.clamav" 3.3
+Notes

-Issue History
Date Modified Username Field Change
2017-04-02 17:53 danielfinateanu New Issue
2017-04-02 17:53 danielfinateanu Status new => assigned
2017-04-02 17:53 danielfinateanu Assigned To => votdev
2017-04-03 08:12 votdev Note Added: 0004684
2017-04-03 08:13 votdev Status assigned => resolved
2017-04-03 08:13 votdev Resolution open => no change required
2017-04-03 08:13 votdev Product Version => Erasmus (3.x)
2017-04-03 08:13 votdev Fixed in Version => Erasmus (3.x)
2017-04-03 08:13 votdev Target Version => Erasmus (3.x)
2017-04-03 08:13 votdev Additional Information Updated View Revisions
2017-04-18 09:46 votdev Relationship added has duplicate 0001722
+Issue History